List repositories
GET
List the active repositories in your workspace that runs can target, ordered by provider and full name. Requires the coding:repos:read scope.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
customer_id?|nullRequest fulfilled, document follows
application/json- response
repos*array<>curl -X GET 'https://api.syndai.ai/api/v1/external/coding/repos'Example Response
{ "repos": [ { "allow_automation_changes": false, "capabilities": {}, "clone_url": "string", "created_at": "2019-08-24T14:15:22Z", "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e", "default_branch": "string", "display_name": "string", "full_name": "string", "github_deploy": { "at": "2019-08-24T14:15:22Z", "environment": "string", "state": "string", "url": "string" }, "html_url": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "protected_paths": [ "string" ], "provider": "string", "repo_url": "string", "status": "string", "store": { "needs": "string", "needs_owner": true, "state": "string", "version": "string" }, "trust_owner_changes": true, "updated_at": "2019-08-24T14:15:22Z" } ]}